Package com.norconex.commons.lang.function

# Class FunctionUtil

java.lang.Object
com.norconex.commons.lang.function.FunctionUtil

@Deprecated(since="3.0.0") public final class FunctionUtil extends Object
Deprecated.
use `Consumers` and `Predicates` instead.
Function-related utility methods

Since:
  2.0.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T> Consumers<T>`
  `allConsumers(Collection<Consumer<T>> consumers)`
  Deprecated.
  `static <T> Consumers<T>`
  `allConsumers(Consumer<T>... consumers)`
  Deprecated.
  `static <T> Predicates<T>`
  `allPredicates(Collection<Predicate<T>> predicates)`
  Deprecated.
  `static <T> Predicates<T>`
  `allPredicates(Predicate<T>... predicates)`
  Deprecated.
  `static <T> Predicates<T>`
  `anyPredicates(Collection<Predicate<T>> predicates)`
  Deprecated.
  `static <T> Predicates<T>`
  `anyPredicates(Predicate<T>... predicates)`
  Deprecated.
  `static <T> Consumer<T>`
  `predicatedConsumer(Predicate<T> predicate, Consumer<T> consumer)`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### allConsumers

    @SafeVarargs public static <T> Consumers<T> allConsumers(Consumer<T>... consumers)
    Deprecated.

  - ### allConsumers

    public static <T> Consumers<T> allConsumers(Collection<Consumer<T>> consumers)
    Deprecated.

  - ### allPredicates

    @SafeVarargs public static <T> Predicates<T> allPredicates(Predicate<T>... predicates)
    Deprecated.

  - ### allPredicates

    public static <T> Predicates<T> allPredicates(Collection<Predicate<T>> predicates)
    Deprecated.

  - ### anyPredicates

    @SafeVarargs public static <T> Predicates<T> anyPredicates(Predicate<T>... predicates)
    Deprecated.

  - ### anyPredicates

    public static <T> Predicates<T> anyPredicates(Collection<Predicate<T>> predicates)
    Deprecated.

  - ### predicatedConsumer

    public static <T> Consumer<T> predicatedConsumer(Predicate<T> predicate, Consumer<T> consumer)
    Deprecated.